<?php 

/* 

======================================================================================
== Hades Option Panel ================================================================
======================================================================================

Version 6.1 
Authors - WPTitans

Current Elements -
--------------------------------------------------------
  1.  Text Box            =  ( code => text ) Creates a text box. 
  2.  Text Area           =  ( code => textarea) Creates a textarea 
  3.  Checkboxes          =  ( code => checkbox) Creates checkboxes
  4.  Radio buttons       =  ( code => radio) Creates Radio buttons
  5.  Slider              =  ( code => slider) Creates a numeric slider
  6.  Color picker        =  ( code => colorpicker) Creates a color picker with a supporting textbox
  7.  Drop down lists     =  ( code => select) Creates a dropdown list
  8.  Toggle              =  ( code => toggle) Creates a Yes/No radio button set
  9.  Includes            =  ( code => include) Adds a way to include advance panels
  10. Sub Panel Activated =  ( code => subtitle) Ability to create nested panels
  11. Upload              =  ( code => upload) Creates an upload box
  12. Help                =  ( code => help) Creates a inframe which can be link to pages.
  13. Custom Block        =  ( code => custom) Allows to add custom blocks in panels/
======================================================================================

*/

// == ~~ Get Sliders ===============

$ex_sliders = unserialize(get_option(SN."_sliders"));
$sliders = array();

if(!is_array($ex_sliders)) $ex_sliders = array("No Sliders");
foreach($ex_sliders as $slider) $sliders[] = $slider['title']; 

$active_sidebars = get_option(SN."_active_sidebars");
if(!is_array($active_sidebars )) $active_sidebars = array();
$active_sidebars[] = "Blog Sidebar";

global $wpdb;
$table_db_name = $wpdb->prefix . "megatables";
$tables = $wpdb->get_results("SELECT id,table_name FROM $table_db_name ",ARRAY_A);
$table_array = array("none"=>"None");
 foreach($tables as $table )
 $table_array[$table['id']] = $table["table_name"];


/* ====================================================================================== */
/* == General Settings Panel ============================================================ */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "General Settings",
	  	           "type" => "section"
		          );
$options[]   = array( 
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );
		  				  
$options[]   = array( "type" => "open");

		  

	
/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Basic Settings" , 
				   "type"=>"subtitle" , 
				   "id"=>"basic"
					 );

$options[]   = array(
                  "name" => "Logo Upload",
				  "desc" => "upload your logo here.",
				  "id" => $shortname."_logo",
				  "type" => "upload",
				  "std" => URL."/sprites/i/logo.png"	 
				  );

$options[]   = array(
                  "name" => "Favicon Upload",
				  "desc" => "upload your logo here.",
				  "id" => $shortname."_favicon",
				  "type" => "upload",
				  "std" => "your upload path",
				  "parentClass" => "h-advance"	 
				  );				  
				   
$options[]   = array(
                 "name" => "Tracking Code",
	             "desc" => "Add your Google Analytics code or some other, this will be in footer inside <strong>script tags.</strong>.",
	             "id" => $shortname."_tracking_code",
	             "type" => "textarea",
	             "std" => ""	 
				  );	


$options[]   = array(
                 "name" => "Custom Css Code",
	             "desc" => "Quick way of adding css style to your site.",
	             "id" => $shortname."_custom_css",
	             "type" => "textarea",
	             "std" => ""	 
				  );


				  				  				  				  			  				  
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
	




/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Misc" , 
				   "type"=>"subtitle" , 
				   "id"=>"misc"
					 );

$options[]   = array( 
				  "name" => "Pagination Style",
				  "desc" => "select pagination style here.",
				  "id" => $shortname."_pagination",
				  "type" => "select",
				  "options" => array("numbers","next/previous"),
				  "std" => "numbers",
				  "parentClass" => "h-advance"
				 );


$options[]   = 	array( 
						"name" => "Enter your feedburner ID",
						"desc" => "Add the ID from your FeedBurner account in here.",
						"id" => $shortname."_feedburner",
						"type" => "text",
						"std" => "http://feeds.feedburner.com/yourID"
					);
		 				 				 		 				
				
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */


/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Top Social Icons " , 
				   "type"=>"subtitle" , 
				   "id"=>"toscl"
					 );




$options[]   = 	array( 
						"name" => "Enter your Twitter link",
						"desc" => "",
						"id" => $shortname."_twitter_link",
						"type" => "text",
						"std" => ""
					);

$options[]   = 	array( 
						"name" => "Enter your Facebook link",
						"desc" => "",
						"id" => $shortname."_fb_link",
						"type" => "text",
						"std" => ""
					);
					
$options[]   = 	array( 
						"name" => "Enter your RSS link",
						"desc" => "",
						"id" => $shortname."_rss_link",
						"type" => "text",
						"std" => ""
					);
					
$options[]   = 	array( 
						"name" => "Enter your Linked In link",
						"desc" => "",
						"id" => $shortname."_linked_link",
						"type" => "text",
						"std" => ""
					);
					
$options[]   = 	array( 
						"name" => "Enter your Stumble link",
						"desc" => "",
						"id" => $shortname."_stumble_link",
						"type" => "text",
						"std" => ""
					);																	 				 				 		 				
				
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */


/* == Sub Panel Begins =================================================================== */

$options[]   = array(
						"name" => "Top 468px x 60px Banner Settings " , 
						"type"=>"subtitle", 
						"id"=>"topbanner"
					  );
				
$options[]   = 	array( 
						"name" => "Show Banner",
						"desc" => "Enable / disable top banner here.",
						"id" => $shortname."_banner_enable",
						"type" => "toggle",
						"std" => "true"
					  );
									
$options[]   = 	array( 
						"name" => "Banner Type",
						"desc" => "Select between adsense banner or our custom build banner slider.",
						"id" => $shortname."_banner_type",
						"type" => "select",
						"options" => array("Image Banner",  "Adsense"),
						"std" => "Image Banner"
					  );	
					  
				
$options[]   = 	array( 
						"name" => "Enter Google adsense code(including script tags)",
						"desc" => "Enter your adsense banner code here.",
						"id" => $shortname."_ads_sense",
						"type" => "textarea",
						"std" => ""
						);
						
						
				
$options[]   = 	array( 
						"name" => "468x60 Image 1 source",
						"desc" => "Upload image 1 with size 468x60. ",
						"id" => $shortname."_banner_img1",
						"type" => "upload",
						"std" => URL."/images/top-banner.png"
					);
$options[]   = 	array( 
						"name" => "Image 1 link",
						"desc" => "Add your advertisment link here 1.",
						"id" => $shortname."_banner_link1",
						"type" => "text",
						"std" => ""
						);	
				
				
$options[]   = array( 
						"name" => "468x60 Image 2 source",
						"desc" => "Upload image 2 with size 468x60. ",
						"id" => $shortname."_banner_img2",
						"type" => "upload",
						"std" => URL."/images/top-banner.png"
					);
$options[]   = array( 
						"name" => "Image 2 link",
						"desc" => "Add your advertisment link here 2.",
						"id" => $shortname."_banner_link2",
						"type" => "text",
						"std" => ""
						);	
								
$options[]   = 	array( 
						"name" => "468x60 Image 3 source",
						"desc" => "Upload image 3 with size 468x60. ",
						"id" => $shortname."_banner_img3",
						"type" => "upload",
						"std" => URL."/images/top-banner.png"
					);
$options[]   = array( 
						"name" => "Ad 3 link",
						"desc" => "Add your advertisment link here 3.",
						"id" => $shortname."_banner_link3",
						"type" => "text",
						"std" => ""
						);	
							
				
				
$options[]   = array( 
						"name" => "468x60 Image 4 source",
						"desc" => "Upload image 4 with size 468x60. ",
						"id" => $shortname."_banner_img4",
						"type" => "upload",
						"std" => URL."/images/top-banner.png"
					);
$options[]   = 	array( 
						"name" => "Ad 4 link",
						"desc" => "Add your advertisment link here 4.",
						"id" => $shortname."_banner_link4",
						"type" => "text",
						"std" => ""
						);	
										
				
$options[]   = array( 
						"name" => "468x60 Image 5 source",
						"desc" => "Upload image 5 with size 468x60. ",
						"id" => $shortname."_banner_img5",
						"type" => "upload",
						"std" => URL."/images/top-banner.png"
					);
$options[]   = 	array( 
						"name" => "Ad 5 url",
						"desc" => "Add your advertisment link here 5.",
						"id" => $shortname."_banner_link5",
						"type" => "text",
						"std" => ""
						);
												
$options[]   = 	array("name"=>"Rotator Duration",
			          "desc"=>"set the duration here",
			     	   "id" => $shortname."_banner_limit",
				       "type"=>"slider",
				       "max"=>60,
				       "std"=>3,
				        "suffix"=>"seconds");		
					  
					  	
$options[]   =   array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == General Settings Panel Ends ======================================================= */
/* ====================================================================================== */
					 
					 
/* ====================================================================================== */
/* == Home Page Panel =================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Home Page",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the basic setting. Just follow the info besides the functions and you will be ready in a snap."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "<p>The Homepage columns are managed by it's own <strong>Layout manager</strong>, just create your posts and assign them to the proper categories. Then drag your widgets from the right to the left section and select your category from the dropdown.</p>" , 
				   "type"=>"subtitle" , 
				   "id"=>"homestage"
					 );


$category_ids = get_all_category_ids();
	$select_box = array();
	foreach($category_ids as $cat_id) {
  		$cat_name = get_cat_name($cat_id);
  		$select_box[] = $select_box[$cat_id] =  $cat_name;
	}

$options[]   = array(
                  "name"=>"Number of Posts for 3 Columns Accordion Widget",
			      "desc"=>"",
			      "id" => $shortname."_col_posts",
				  "type"=>"slider",
				  "max"=>20,
				  "std"=>4,
				  "suffix"=>"posts"
					 );
					 
$options[]   = array(
                  "name"=>"Number of Posts for Full Width Accordion Widget",
			      "desc"=>"",
			      "id" => $shortname."_accordion_posts",
				  "type"=>"slider",
				  "max"=>20,
				  "std"=>4,
				  "suffix"=>"posts"
					 );
					 
$options[]   = array(
                  "name"=>"Number of Posts for Grid widget",
			      "desc"=>"",
			      "id" => $shortname."_featured_posts",
				  "type"=>"slider",
				  "max"=>20,
				  "std"=>3,
				  "suffix"=>"posts"
					 );
					 					 					 
$options[]   = array( 
				  "name" => "Select Category for Homepage News Slider",
				  "desc" => "select the homepage slider category here.",
				  "id" => $shortname."_home_slider",
				  "type" => "select",
				  "options" => $select_box,
				  "parentClass" => "",
				  "std" => "Slider",
				  "keyed" => true
				  );
		  		
$options[]   = array(
                  "name"=>"Number of Posts for Homepage Slider",
			      "desc"=>"",
			      "id" => $shortname."_home_posts",
				  "type"=>"slider",
				  "max"=>20,
				  "std"=>16,
				  "suffix"=>"posts"
					 );
					 										
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Sidebar location" , 
				   "type"=>"subtitle" , 
				   "id"=>"homelayout"
					 );

$options[]   = array(
				   "name" => "Home layout", 
				   "type"=>"include", 
				   "std"=> HPATH."/option_panel/adv_mods/home_layout.php"
					  );
					  
$options[]   = array( 
				  "name" => "Home Sidebar",
				  "desc" => "you can select the sidebar of home page here.",
				  "id" => $shortname."_home_sidebar",
				  "type" => "select",
				  "options" => $active_sidebars,
				  "std" => "Blog Sidebar"
				  );

					  
$options[]   = array("type"=>"close_subtitle");
					  
/* == Sub Panel Ends ===================================================================== */
	






$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Home Page Panel Ends ============================================================== */
/* ====================================================================================== */


/* ====================================================================================== */
/* == Sticky Panel Settings Panel ======================================================= */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Notice Settings",
	  	           "type" => "section"
		          );
$options[]   = array( 
			      "name" => $themename." Options",
			      "type" => "information",
			      "description" => ""
		           );
																										  				  
$options[]   = array( "type" => "open");

		  

	
/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Visual Settings" , 
				   "type"=>"subtitle" , 
				   "id"=>"noticebasic"
					 );


$options[]   =  array( 
						"name" => "Background Color",
						"desc" => "Your able to change the background of the notification bar here.",
						"id" => $shortname."_nt_bgcolor",
						"type" => "colorpickerfield",
						"std" => "333333"
						);

$options[]   =  array( 
						"name" => "CTA Link Color",
						"desc" => "Your able to change the color of the button link here.",
						"id" => $shortname."_nt_link_color",
						"type" => "colorpickerfield",
						"std" => "222222"
						);

$options[]   =  array( 
						"name" => "CTA Button Border Color",
						"desc" => "Your able to change CTA Button border color here.",
						"id" => $shortname."_nt_link_bcolor",
						"type" => "colorpickerfield",
						"std" => "242424"
						);
						
$options[]   =  array( 
						"name" => "CTA Button Background Color",
						"desc" => "Your able to change the CTA Button background color here.",
						"id" => $shortname."_nt_link_bgcolor",
						"type" => "colorpickerfield",
						"std" => "e0e0e0"
						);

$options[]   =  array( 
						"name" => "Text Color",
						"desc" => "Your able to change the text color here.",
						"id" => $shortname."_nt_color",
						"type" => "colorpickerfield",
						"std" => "ffffff"
						);
						
									  				  
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
		
/* == Sub Panel Begins ================================================================== */

$options[]   = array(
				   "name" => "Functional Settings" , 
				   "type"=>"subtitle" , 
				   "id"=>"basic"
					 );


$options[]   = array(
                  "name" => "Left Image Upload",
				  "desc" => "upload your left side bar image here. ( Width = 100px , Height = 49px)",
				  "id" => $shortname."_nt_image",
				  "type" => "upload",
				  "std" => URL."/sprites/i/sticky-image.png"	 
				  );
				  
$options[]   = array(
                  "name" => "Announcement Text",
				  "desc" => "add text here",
				  "id" => $shortname."_nt_text",
				  "type" => "text",
				  "std" => ""	 
				  );

$options[]   = array(
                  "name" => "CTA Button Label",
				  "desc" => "add text here",
				  "id" => $shortname."_nt_main_label",
				  "type" => "text",
				  "std" => ""	 
				  );

$options[]   = array(
                  "name" => "Close Button Label",
				  "desc" => "add text here",
				  "id" => $shortname."_nt_close_label",
				  "type" => "text",
				  "std" => ""	 
				  );
				  
				  				  
$options[]   = 	array( 
						"name" => "Show/Hide Notice Bar",
						"desc" => "show or hide the top notice bar here.",
						"id" => $shortname."_notice_bar",
						"type" => "toggle",
						"std" => "true"
					  );				 
					 			  				  
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Sticky Panel Settings Panel Ends ================================================== */
/* ====================================================================================== */


					 
/* ====================================================================================== */
/* == Typography Panel ================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Typography Settings",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the typography related settings.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Body Font & Custom Font Settings" , 
				   "type"=>"subtitle" , 
				   "id"=>"bodytypo"
					 );



$options[]   = array(
						"name" => "Typography Panel File", 
						"type"=>"include", 
						"std"=> HPATH."/option_panel/adv_mods/typo.php"
					  );
										
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
	

$options[]   = array(
				   "name" => "Heading's Font Settings" , 
				   "type"=>"subtitle" , 
				   "id"=>"bodytypo"
					 );



$options[]   = array(
                  "name"=>"H1 Font Size",
			      "desc"=>"h1 font size.",
			      "id" => $shortname."_h1_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>36,
				  "suffix"=>"px"
					 );

$options[]   = array(
                  "name"=>"H2 Font Size",
			      "desc"=>"h2 font size.",
			      "id" => $shortname."_h2_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>32,
				  "suffix"=>"px"
					);

$options[]   = array(
                  "name"=>"H3 Font Size",
			      "desc"=>"h3 font size.",
			      "id" => $shortname."_h3_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>28,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );

$options[]   = array(
                  "name"=>"H4 Font Size",
			      "desc"=>"h4 font size.",
			      "id" => $shortname."_h4_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>24,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );
					 					 					 
$options[]   = array(
                  "name"=>"H5 Font Size",
			      "desc"=>"h5 font size.",
			      "id" => $shortname."_h5_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>18,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );

$options[]   = array(
                  "name"=>"H6 Font Size",
			      "desc"=>"h6 font size.",
			      "id" => $shortname."_h6_font_size",
				  "type"=>"slider",
				  "max"=>108,
				  "std"=>13,
				  "suffix"=>"px",
				  "parentClass" => "h-advance"
					 );
					 					 										
$options[]   = array("type"=>"close_subtitle");

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Typography Ends =================================================================== */
/* ====================================================================================== */
					 
/* ====================================================================================== */
/* == Footer Panel ====================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Footer",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the footer related settings.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Footer Settings" , 
				   "type"=>"subtitle" , 
				   "id"=>"fsettings"
					 );

				   
$options[]   = array( 
				  "name" => "Show Footer Widgets",
				  "desc" => "Enable or disable footer widgets.",
				  "id" => $shortname."_footer_widgets",
				  "type" => "radio",
				  "options" => array("Yes","No"),
				  "std" => "Yes"
				   );
				   

$options[]   = array(
						"name" => "Footer Panel File", 
						"type"=>"include", 
						"std"=> HPATH."/option_panel/adv_mods/footer.php"
					  );

$options[]   = array( 
				  "name" => "Show Footer Menu",
				  "desc" => "Enable or disable footer menu.",
				  "id" => $shortname."_footer_menu",
				  "type" => "radio",
				  "options" => array("Yes","No"),
				  "std" => "Yes",
				  "parentClass" => "h-advance"
				   );


$options[]   = array( 
				  "name" => "Footer Text",
				  "desc" => "footer text.",
				  "id" => $shortname."_footer_text",
				  "type" => "text",
				  "std" => "",
				  "parentClass" => "h-advance"
				   );
				   				   										
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
	


$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Footer Ends ======================================================================= */
/* ====================================================================================== */

/* ====================================================================================== */
/* == Media Panel ======================================================================= */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Media Settings",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the media related settings.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Image Resizing" , 
				   "type"=>"subtitle" , 
				   "id"=>"imageresizing"
					 );


$options[]   = array( 
				  "name" => "Image resizing",
				  "desc" => "select the method you want for image resizing.",
				  "id" => $shortname."_image_resize",
				  "type" => "radio",
				  "options" => array("Timthumb","Wordpress Core resizer", "none"),
				  "std" => "Timthumb"
				   );	

$options[]   = array( 
				  "name" => "Timbthumb Cropping Options",
				  "desc" => "select the method you want for image cropping.",
				  "id" => $shortname."_timthumb_zc",
				  "type" => "radio",
				  "options" => array("Hard Resize","Smart crop and resize", "Resize Proportionally"),
				  "std" => "Smart crop and resize",
				  "parentClass" => "h-advance"
				   );	


										
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */


$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Media Ends ======================================================================== */
/* ====================================================================================== */	

/* ====================================================================================== */
/* == Blog Panel ======================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Blog Settings",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the media related settings.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Blog Layout" , 
				   "type"=>"subtitle" , 
				   "id"=>"bloglayout"
					 );


$options[]   = 	array( 
						"name" => "Show Author BIO",
						"desc" => "Don't you need an Author Bio then just disable it here.",
						"id" => $shortname."_author_bio",
						"type" => "toggle",
						"std" => "true"
					  );
					
$options[]   = 	array( 
						"name" => "Show Related Posts",
						"desc" => "Want to show your related posts? Then enable them here.",
						"id" => $shortname."_popular",
						"type" => "toggle",
						"std" => "true"
					  );

$options[]   = 	array( 
						"name" => "Enable AddThis Social Set",
						"desc" => "Enable or disable the retweet button below the post.",
						"id" => $shortname."_social_set",
						"type" => "toggle",
						"std" => "true"
					  );
$options[]   = 	 array( 
						"name" => "Set AddThis Icon Style",
						"desc" => "In here you can decide which icon style you want.",
						"id" => $shortname."_social_set_style",
						"type" => "select",
						"std" => "Google Webfonts",
						"options" => array( "Style 1","Style 2","Style 3","Style 4","Style 5","Style 6","Style 7","Style 8" ),
				  "parentClass" => "h-advance"
					  );
	
$options[]   = array( 
				  "name" => "Author Page Sidebar",
				  "desc" => "you can select the sidebar of author page here.",
				  "id" => $shortname."_author_sidebar",
				  "type" => "select",
				  "options" => $active_sidebars,
				  "std" => "Blog Sidebar"
				  );
				  	
$options[]   = array( 
				  "name" => "Archives Page Sidebar",
				  "desc" => "you can select the sidebar of archives page here.",
				  "id" => $shortname."_archives_sidebar",
				  "type" => "select",
				  "options" => $active_sidebars,
				  "std" => "Blog Sidebar"
				  );
				  
$options[]   = array( 
				  "name" => "Category Page Sidebar",
				  "desc" => "you can select the sidebar of category page here.",
				  "id" => $shortname."_category_sidebar",
				  "type" => "select",
				  "options" => $active_sidebars,
				  "std" => "Blog Sidebar"
				  );
				  
$options[]   = array( 
				  "name" => "Search Page Sidebar",
				  "desc" => "you can select the sidebar of search page here.",
				  "id" => $shortname."_search_sidebar",
				  "type" => "select",
				  "options" => $active_sidebars,
				  "std" => "Blog Sidebar"
				  );
				  
$options[]   = array( 
				  "name" => "Tag Page Sidebar",
				  "desc" => "you can select the sidebar of tag page here.",
				  "id" => $shortname."_tag_sidebar",
				  "type" => "select",
				  "options" => $active_sidebars,
				  "std" => "Blog Sidebar"
				  );					  								  	
$options[]   = 	  array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
	


$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Blog Ends ========================================================================= */
/* ====================================================================================== */					 

/* ====================================================================================== */
/* == Events Panel ====================================================================== */
/* ====================================================================================== 

$options[]   = array( 
		           "name" => "Events Settings",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the event related settings.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== 

$options[]   = array(
				   "name" => "Calendar Layout" , 
				   "type"=>"subtitle" , 
				   "id"=>"event"
					 );




										
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== 
	


$options[]   = array("type"=>"close");

 ====================================================================================== */
/* == Events Ends ======================================================================= */
/* ====================================================================================== */		

/* ====================================================================================== */
/* == Visual Panel ====================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Visual Panel",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the visual related settings.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Visual Settings" , 
				   "type"=>"subtitle" , 
				   "id"=>"visual_premade_simple"
					 );



$options[]   = array( 
				  "name" => "Style Type",
				  "desc" => "select the layout for blog template.",
				  "id" => $shortname."_style_listener",
				  "type" => "radio",
				  "options" => array("Default","Plain Shades"),
				  "std" => "Default"
				   );	
				   
$options[]   = array(
						"name" => "Visual File", 
						"type"=>"include", 
						"std"=> HPATH."/option_panel/adv_mods/visual.php"
					  );


													
$options[]   = array( 
						  "name" => "Theme's Background Texture",
						  "desc" => "Select a different texture here.",
						  "id" => $shortname."_header_texture",
						  "type" => "select",
						  "options" => array('none',"pixel-noise","diagonal-lines","metal-noise","crossed-noise","scratched-bg","leather-noise","noise-squares","noise","pixel-large","raster"),
						  "std" => "waves-texture" 
				  	 ); 

$options[]   = array( 
				  "name" => "Theme Background Repeat",
				  "desc" => ".",
				  "id" => $shortname."_bg_repeat",
				  "type" => "select",
				  "options" => array("repeat","repeat-x","repeat-y","no-repeat"),
				  "std" => "repeat",
				  "parentClass" => "h-advance"
				 );

$options[]   = array( 
				  "name" => "Theme Background Position",
				  "desc" => ".",
				  "id" => $shortname."_bg_position",
				  "type" => "select",
				  "options" => array("top left","top right","bottom left","bottom right","center top","center center","center bottom"),
				  "std" => "top left",
				  "parentClass" => "h-advance"
				 );
				 
				 				 					 
$options[]   = array( 
						"name" => "Custom Background Texture On/Off",
						"desc" => "Don't like the ones we've made then ad your own by activating this option and upload your own image below.",
						"id" => $shortname."_bg_custom",
						"type" => "toggle",
						"std" => "false"
					  );
			
$options[]   =  array( 
						"name" => "Upload Background texture",
						"desc" => "You can upload your background texture here, make sure the above selection is activated.",
						"id" => $shortname."_bg_custom_texture",
						"type" => "upload",
						"std" => ""
						);			  

									
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
	


$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Visual Ends ======================================================================= */
/* ====================================================================================== */		

/* ====================================================================================== */
/* == Advance Panel ====================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Advance Panel",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "In this option panel your able to change the advance related settings.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  
/* == Sub Panel Begins =================================================================== */

$options[]   = array(
				   "name" => "Advance" , 
				   "type"=>"subtitle" , 
				   "id"=>"adv"
					 );
					 
$options[]   = array( 
				  "name" => "Admin Login Logo Enable",
				  "desc" => "Enable / Disable admin logo .",
				  "id" => $shortname."_enable_admin_logo",
				  "type" => "radio",
				  "options" => array("Yes","No"),
				  "std" => "No"
				   );	

$options[]   =	array( 
						"name" => "Admin Logo Area Width",
						"desc" => "set the width of logo holer here.",
						"id" => $shortname."_admin_logo_width",
						"type" => "text",
						"std" => ""
						);	
$options[]   =	array( 
						"name" => "Admin Logo Area Height",
						"desc" => "set the height of logo holer here.",
						"id" => $shortname."_admin_logo_height",
						"type" => "text",
						"std" => ""
						);	
												
$options[]   = array(
                  "name" => "Admin Login Logo Upload",
				  "desc" => "upload your wp admin logo here.",
				  "id" => $shortname."_admin_logo",
				  "type" => "upload",
				  "std" => "your upload path"	 
				  );


				  										
$options[]   = array("type"=>"close_subtitle");

/* == Sub Panel Ends ===================================================================== */
	
$options[]   =  array(
						"name" => "404 Not Found" , 
						"type"=>"subtitle" , 
						"id"=>"notfound"
						);	
$options[]   =	array( 
						"name" => "404 page title here",
						"desc" => "Add your 404 text here.",
						"id" => $shortname."_notfound_title",
						"type" => "text",
						"std" => ""
						);		
					

	
$options[]   =	array( 
						"name" => "404 page text here",
						"desc" => "Add your 404 text here.",
						"id" => $shortname."_notfound_text",
						"type" => "textarea",
						"std" => ""
						);		
                
$options[]   =	array("type"=>"close_subtitle");
/* == Sub Panel Ends ===================================================================== */

$options[]   = array("type"=>"close");

/* ====================================================================================== */
/* == Advance Ends ====================================================================== */
/* ====================================================================================== */		

/* ====================================================================================== */
/* == Translation Panel ====================================================================== */
/* ====================================================================================== */

$options[]   = array( 
		           "name" => "Translation",
	  	           "type" => "section"
		          );
$options[]   = array( 
		          "name" => $themename." Options",
		    	  "type" => "information",
		      	  "description" => "Translation manunal for the theme.."
		  );
		  				  
$options[]   = array( "type" => "open");

		  


$options[]   = array(
						"name" => "Translation File", 
						"type"=>"include", 
						"std"=> HPATH."/option_panel/adv_mods/translate.php"
					  );




$options[]   = array("type"=>"close");